Skip to main content
`Ctrl`+`K`

# KSPGMRESGetCGSRefinementType

Gets the type of iterative refinement to use in the classical Gram-Schmidt orthogonalization used by `KSPGMRES` and other PETSc GMRES implementations.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGMRESGetCGSRefinementType(KSP ksp, KSPGMRESCGSRefinementType *type)

Not Collective

## Input Parameter

- ksp - the Krylov space solver context

## Output Parameter

- type - the type of refinement

## See Also

KSP: Linear System Solvers, `KSPGMRES`, `KSPGMRESSetOrthogonalization()`, `KSPGMRESCGSRefinementType`, `KSPGMRESClassicalGramSchmidtOrthogonalization()`, `KSPGMRESSetCGSRefinementType()`, `KSPGMRESGetOrthogonalization()`

## Level

intermediate

## Location

src/ksp/ksp/impls/gmres/gmres.c

## Implementations

KSPGMRESGetCGSRefinementType_GMRES() in src/ksp/ksp/impls/gmres/gmres.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages